# Class ExtractControlFromParentMixin

#### Hierarchy (View Summary)

- ExtractControlFromParentMixin
  - ControlHideShowDirective

- Defined in packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:10

#####
Index

### Constructors

constructor

### Methods

extractControlFromParent

##
Constructors

### constructor

- new ExtractControlFromParentMixin(): ExtractControlFromParentMixin

  #### Returns ExtractControlFromParentMixin

##
Methods

### `Protected` extractControlFromParent

- extractControlFromParent(
  parent: ControlContainer,
  controlPath: string,
  ): AbstractControl

  #### Parameters

  - parent: ControlContainer
  - controlPath: string

  #### Returns AbstractControl

  - Defined in packages/angular/form-system/src/lib/mixins/extract-control-from-parent.mixin.ts:12